### Method

# GtkSource Style copy

#### Declaration [src]

    GtkSourceStyle*
    gtk_source_style_copy (
      const GtkSourceStyle* style
    )

#### Description [src]

Creates a copy of `style`, that is a new `GtkSourceStyle` instance which has the same attributes set.

#### Return value

Type: `GtkSourceStyle`

Copy of `style`, call `g_object_unref()` when you are done with it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.